# eric4.Project.AddLanguageDialog

Module implementing a dialog to add a new language to the project.

### Global Attributes

None

### Classes

AddLanguageDialog | Class implementing a dialog to add a new language to the project.

### Functions

None

## AddLanguageDialog

Class implementing a dialog to add a new language to the project.

### Derived from

QDialog, Ui_AddLanguageDialog

### Class Attributes

None

### Class Methods

None

### Methods

AddLanguageDialog | Constructor
getSelectedLanguage | Public method to retrieve the selected language.

### Static Methods

None

#### AddLanguageDialog (Constructor)

AddLanguageDialog(parent = None, name = None)

Constructor

parent
  parent widget of this dialog (QWidget)
name
  name of this dialog (string or QString)

#### AddLanguageDialog.getSelectedLanguage

getSelectedLanguage()

Public method to retrieve the selected language.

Returns:
  the selected language (QString)

Up